//------------------------------------------------------------------------------------
// irr::scene::IParticleRotationAffector wrappers
//------------------------------------------------------------------------------------

extern "C" 
{

	void IrrScene_IParticleRotationAffector_setPivotPoint( IParticleRotationAffector* pa, vector3df* point )
	{
		if (pa) {
			pa->setPivotPoint(*point);
		}
	}

	void IrrScene_IParticleRotationAffector_setSpeed( IParticleRotationAffector* pa, vector3df* speed )
	{
		if (pa) {
			pa->setSpeed(*speed);
		}
	}

	// must delete
	vector3df* IrrScene_IParticleRotationAffector_getPivotPoint(IParticleRotationAffector* pa)
	{
		if (pa) {
			return new vector3df(pa->getPivotPoint());
		} else return 0;
	}

	// must delete
	vector3df* IrrScene_IParticleRotationAffector_getSpeed(IParticleRotationAffector* pa)
	{
		if (pa) {
			return new vector3df(pa->getSpeed());
		} else return 0;
	}

}

